From 6e51ac0e69b7b4af72fa2c1b85ea70ebc4dfeb65 Mon Sep 17 00:00:00 2001
From: tteckster <tteckster@gmail.com>
Date: Wed, 3 Jan 2024 01:12:19 -0500
Subject: [PATCH] Update uptimekuma.sh

(node 18.x has stopped utilizing npm by default)

- check if the installed version of Node.js is 18.x and, if so, ensures that npm is also installed.
---
 ct/uptimekuma.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/ct/uptimekuma.sh b/ct/uptimekuma.sh
index f4ad1b2b9..4961ee5da 100644
--- a/ct/uptimekuma.sh
+++ b/ct/uptimekuma.sh
@@ -54,6 +54,13 @@ function default_settings() {
 function update_script() {
 header_info
 if [[ ! -d /opt/uptime-kuma ]]; then msg_error "No ${APP} Installation Found!"; exit; fi
+  if [[ "$(node -v | cut -d 'v' -f 2)" == "18."* ]]; then
+    if ! command -v npm >/dev/null 2>&1; then
+      echo "Installing NPM..."
+      apt-get install -y npm >/dev/null 2>&1
+      echo "Installed NPM..."
+    fi
+  fi
 LATEST=$(curl -sL https://api.github.com/repos/louislam/uptime-kuma/releases/latest | grep '"tag_name":' | cut -d'"' -f4)
 msg_info "Stopping ${APP}"
 sudo systemctl stop uptime-kuma &>/dev/null